Functions

# StreitbergRoehmel.c File Reference

`#include <R.h>`
`#include <Rmath.h>`
`#include <Rdefines.h>`
Include dependency graph for StreitbergRoehmel.c:

Go to the source code of this file.

## Functions
SEXP | R_cpermdist2 (SEXP score_a, SEXP score_b, SEXP m_a, SEXP m_b, SEXP retProb)
SEXP | R_cpermdist1 (SEXP scores)

## Detailed Description

Exact Distribution of Two-Sample Permutation Tests Streitberg & Roehmel Algorithm

Author:

Author:
  hothorn

Date:

Date:
  2007-07-18 18:29:22 +0200 (Wed, 18 Jul 2007)

Definition in file StreitbergRoehmel.c.

## Function Documentation

SEXP R_cpermdist1 | ( | SEXP | scores | ) |

The density of the permutation distribution for the one sample problem.

REFERENCES

Bernd Streitberg & Joachim R"ohmel (1986), Exact distributions for permutations and rank tests: An introduction to some recently published algorithms. Statistical Software Newsletter 12(1), 10-17.

Bernd Streitberg & Joachim R"ohmel (1987), Exakte Verteilungen f"ur Rang- und Randomisierungstests im allgemeinen $c$-Stichprobenfall. EDV in Medizin und Biologie 18(1), 12-19 (in german).

Parameters:

  | scores | score vector (such as rank(abs(y)) for wilcoxsign_test)

Definition at line 198 of file StreitbergRoehmel.c.

SEXP R_cpermdist2 | ( | SEXP | score_a,
|  | SEXP | score_b,
|  | SEXP | m_a,
|  | SEXP | m_b,
|  | SEXP | retProb |
| ) |  |  |

The density of the permutation distribution for the independent two sample problem.

REFERENCES

Bernd Streitberg & Joachim R"ohmel (1986), Exact distributions for permutations and rank tests: An introduction to some recently published algorithms. Statistical Software Newsletter 12(1), 10-17.

Bernd Streitberg & Joachim R"ohmel (1987), Exakte Verteilungen f"ur Rang- und Randomisierungstests im allgemeinen $c$-Stichprobenfall. EDV in Medizin und Biologie 18(1), 12-19 (in german).

Parameters:

  | score_a | score vector (typically c(1,1,...,1))
  | score_b | score vector (typically ranks)
  | m_a | integer indicating the sum of m_a elements of score_a
  | m_b | integer indicating the sum of m_b elements of score_b
  | retProb | logical indicating whether the density (TRUE) or the matrix of all permutations should be returned

Definition at line 39 of file StreitbergRoehmel.c.